{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":1275,"path":"api-reference/web-services/outbound-logging-configure.md","title":"Configure outbound logging","bundle":null,"doc_type":null,"release":"australia","body":"\n# Configure outbound logging\n\nYou can configure outbound request logging to log basic, elevated, or all HTTP request and response information for specific domains.\n\nTo configure the log level for a REST method or SOAP message function, navigate to the record you want to configure and click the **Set log level** related link, then select a log level for the current record.\n\nTo modify the log level for multiple outbound requests, navigate to **System Web Services** &gt; **HTTP Log Levels** and change the log levels using the list. All outbound requests that have been configured with a specific log level are listed.\n\nYou can override the log level for all outbound requests using the properties **glide.outbound\\_http\\_log.override** and **glide.outbound\\_http\\_log.override.level**. Use these properties only for a limited time when troubleshooting.\n\nYou can set the log level in a script using the setLogLevel\\(\\) function from the SOAPMessageV2 and RESTMessageV2 APIs. For more information about using these APIs, refer to the API documentation.\n\n**Parent Topic:**[Outbound web services: Logging](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/web-services/outbound-request-logging.md)\n\n**Related topics**  \n\n\n[RESTMessageV2 - setLogLevel\\(\\)](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/server-api-reference/c_RESTMessageV2API.md)\n\n[SOAPMessageV2 - setLogLevel\\(\\)](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/server-api-reference/c_SOAPMessageV2API.md)\n\n## Outbound request log levels\n\nCertain elements are logged based on the configured log level.\n\n### Logged elements\n\nThe following elements from the request and response are logged depending on the configured log level.\n\n<table id=\"table_s23_xx5_hw\"><thead><tr><th>\n\nField\n\n</th><th>\n\nBasic\n\n</th><th>\n\nElevated\n\n</th><th>\n\nAll\n\n</th></tr></thead><tbody><tr><td>\n\nSequence\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nHTTP Method\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nProtocol\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nScheme\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nHostname\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nPath\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nHTTP response status\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nRequest length\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nResponse length\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nTotal call time\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nSystem ID\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nSource table\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nSource record ID**Note:** You must have read access for records in the specified **Source table** to view this field.\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nScope\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nSession\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nTransaction\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nUser\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nMID server\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nRequest headers\n\n</td><td>\n\n \n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nRequest query\n\n</td><td>\n\n \n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nResponse headers\n\n</td><td>\n\n \n\n</td><td>\n\nx\n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nRequest body\n\n</td><td>\n\n \n\n</td><td>\n\n \n\n</td><td>\n\nx\n\n</td></tr><tr><td>\n\nResponse body\n\n</td><td>\n\n \n\n</td><td>\n\n \n\n</td><td>\n\nx\n\n</td></tr></tbody>\n</table>"}}